summaryrefslogtreecommitdiff
path: root/tests/tail-2/pid.sh
diff options
context:
space:
mode:
authorJim Meyering <meyering@fb.com>2016-11-08 19:57:41 -0600
committerJim Meyering <meyering@fb.com>2016-11-13 17:09:57 -0800
commit4d4d8bccc341941404dc92d0adc057e67014e2ea (patch)
treefaf04706ebd51a3c7e369110fb23bf80b83cef86 /tests/tail-2/pid.sh
parenteba871cd3237e8b7dcd9552f544b365934767849 (diff)
downloadcoreutils-4d4d8bccc341941404dc92d0adc057e67014e2ea.tar.xz
tests: use "returns_" rather than explicit comparison with "$?"
The previous "returns_"-using change failed to convert many uses of "$?". Convert all but two of the remaining ones. * tests/ls/stat-vs-dirent.sh: Likewise. * tests/misc/head-write-error.sh: Likewise. * tests/misc/nice.sh: Likewise. * tests/misc/nohup.sh: Likewise. * tests/misc/stdbuf.sh: Likewise. * tests/misc/sync.sh: Likewise. * tests/tail-2/pid.sh: Likewise. * tests/tail-2/wait.sh: Likewise. Thanks to Bernhard Volker for spotting this.
Diffstat (limited to 'tests/tail-2/pid.sh')
-rwxr-xr-xtests/tail-2/pid.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/tests/tail-2/pid.sh b/tests/tail-2/pid.sh
index 9e73b8448..ba67b46a6 100755
--- a/tests/tail-2/pid.sh
+++ b/tests/tail-2/pid.sh
@@ -31,8 +31,7 @@ for mode in '' '---disable-inotify'; do
tail -f $mode here & pid=$!
# Ensure that tail --pid=PID does not exit when PID is alive.
- timeout 1 tail -f -s.1 --pid=$pid $mode here
- test $? = 124 || fail=1
+ returns_ 124 timeout 1 tail -f -s.1 --pid=$pid $mode here || fail=1
cleanup_
@@ -44,8 +43,7 @@ for mode in '' '---disable-inotify'; do
test $ret = 0 || fail=1
# Ensure tail doesn't wait for data when PID is dead
- timeout 10 tail -f -s10 --pid=$PID_T_MAX $mode empty
- test $? = 124 && fail=1
+ returns_ 124 timeout 10 tail -f -s10 --pid=$PID_T_MAX $mode empty && fail=1
done
Exit $fail